# 
# Synthesis run script generated by Vivado
# 

set_msg_config -id {HDL 9-1061} -limit 100000
set_msg_config -id {HDL 9-1654} -limit 100000
create_project -in_memory -part xc7z020clg484-1

set_param project.compositeFile.enableAutoGeneration 0
set_param synth.vivado.isSynthRun true
set_property webtalk.parent_dir /home/toby/tmp/led_illuminate_ip/led_illuminate_ip.cache/wt [current_project]
set_property parent.project_path /home/toby/tmp/led_illuminate_ip/led_illuminate_ip.xpr [current_project]
set_property default_lib xil_defaultlib [current_project]
set_property target_language VHDL [current_project]
set_property board_part em.avnet.com:zed:part0:1.3 [current_project]
set_property vhdl_version vhdl_2k [current_fileset]
read_vhdl -library xil_defaultlib {
  /home/toby/tmp/led_illuminate_ip/led_illuminate_ip.srcs/sources_1/imports/learning_myhdl/pck_myhdl_10.vhd
  /home/toby/tmp/led_illuminate_ip/led_illuminate_ip.srcs/sources_1/imports/learning_myhdl/ledctrl.vhd
}
synth_design -top ledctrl -part xc7z020clg484-1
write_checkpoint -noxdef ledctrl.dcp
catch { report_utilization -file ledctrl_utilization_synth.rpt -pb ledctrl_utilization_synth.pb }
